/* Estilos generales */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: Arial, sans-serif;
    background-color: #1e1e1e;
    color: rgb(201, 197, 201);
    display: flex;
    flex-direction: column;
}

/*DISEÑO MOBILE*/
header {
    width: 100%;
    height: 80px;
    position: sticky;
    top: 0;
    display: flex;
    flex-direction: row;
    background-color: #111;
    z-index: 1000;
    transition: .3s;
}
.scrolled{
    background-color: #1e1e1e;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
}
.contenedor-mobile{
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: row;
}
.nav-mobile{
    width: 75%;
    height: 100vh;
    position: absolute;
    top: 80px;
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    background-color: #333;
    opacity: .92;
    left: -100vw; 
    transition: all .5s;
}
.aparecer-menu{
    left: 0px;
}
.desaparecer-menu{
    left: -500px;
}
.nav-mobile ul{
    width: 100%;
    display: flex;
    align-items: center;
    flex-direction: column;
    gap: 20px;
    margin-top: 25px;
}
.nav-mobile ul li{
   width: 90%;
   padding: 10px;
   border-bottom: solid 0.1px rgb(138, 138, 138);
   display: flex;
   justify-content: flex-start;
   transition: .2s;
}
.nav-mobile ul li:hover{
    border-bottom: solid 0.1px rgb(247, 244, 244);
}
.nav-mobile ul li a{
    color: rgb(201, 197, 201);
    font-size: 22px;
    transition:  .5s;
}
.nav-mobile ul li a:hover{
    opacity: .5;
}
.boton-nav{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    width: 10%;
    margin-left: 20px;
}
.logo{
    display: flex;
    justify-content: flex-end;
    align-items: center;
    width: 90%;
    height: 100%;
}
.logo img{
    width: 40%;
    height: 80%;
    object-fit: contain;
}
.var{
    font-size: 30px;
    color: rgb(201, 197, 201);
    transition: all .5s;
    
}
.var-efecto-girar{
    transform: rotate(-180deg);
}
.var-efecto-girar-vuelta{
    transform: rotate(180deg);
}

.nav-no-mobile{
    display: none;
}

nav ul {
    list-style: none;
}

nav ul li a {
    color:white;
    text-decoration: none;
    font-size: 18px;
    font-weight: bold;
    transition: all .5s;
}

nav ul li a:hover {
    opacity: .5;
}

.contenedor{
    width: 100%;
    transition: all .5s;
    z-index: 10;
}
.contenedor-opacar{
    opacity: .3;
}
/* Sección Home */
.home {
    text-align: center;
    padding: 100px 20px;
    background-color: #111;
}

.home h1 {
    font-size: 3rem;
    margin-bottom: 20px;
}

.home p {
    font-size: 1.2rem;
}

/*logotipo*/


/* Sección de productos */
.contenedor-padre-productos{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}
.productos {
    padding: 40px 0px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
}

.productos h2 {
    font-size: 2rem;
    margin-bottom: 30px;
}

.productos .producto {
    margin: 10px;
    width: 42%;
    text-align: center;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
}
.contenedorimage{
    overflow: hidden;
}
.productos .producto img {
    width: 100%;
    height: auto;
    transition: .3s;
}
.productos .producto img:hover{
    opacity: .5;
    transform: scale(1.1); /* Aumenta el tamaño de la imagen al hacer hover */
}
.text-product{
    font-weight: 100;
    text-align: center;
    font-size: 12px;
    color: #888585;
    padding: 15px;
    transition: .3s;
}
.text-product:hover{
    color: #626161;
}
.price{
    font-weight: 100;
    text-align: center;
    font-size: 12px;
    color: #c8c8c8;
    padding-bottom: 15px;
    transition: .3s;
}
/* Footer y WhatsApp */
footer {
    padding: 20px;
    background-color: #111;
    text-align: center;
}

.w{
    position: fixed;
    bottom: 30px;
    right: 40px;
    z-index: 1000;
    color: #ffffff;
    font-size: 30px;
}
.whatsapp{
    display: flex;
    position: fixed;
    bottom: 20px;
    right: 29px;
    width: 50px;
    height: 50px;
    border-radius: 100%;
    background-color:#25D366;
}
.icono-w:hover {
    transform: scale(1.1);
}

/* Animación de entrada para el botón de WhatsApp */

/* Responsividad */
@media (max-width: 768px) {
    header {
        flex-direction: column;
        text-align: center;
    }

    nav ul {
        flex-direction: column;
        margin-top: 10px;
    }

    nav ul li {
        margin-left: 0;
        margin-bottom: 10px;
    }

    

    .home h1 {
        font-size: 2.5rem;
    }

    .home p {
        font-size: 1rem;
    }
}

@media (max-width: 480px) {

    .home h1 {
        font-size: 2rem;
    }

    .home p {
        font-size: 0.9rem;
    }

}
